Loading...
Searching...
No Matches
osx_impl.h File Reference
`#include <gnuradio/audio/api.h>`
`#include <vector>`
`#include <string.h>`
`#include <AudioToolbox/AudioToolbox.h>`
`#include <AudioUnit/AudioUnit.h>`
Include dependency graph for osx_impl.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::audio
namespace | gr::audio::osx

## Functions

std::ostream &GR_AUDIO_API | operator<< (std::ostream &s, const AudioStreamBasicDescription &asbd)
void GR_AUDIO_API | gr::audio::osx::get_num_channels_for_audio_device_id (AudioDeviceID ad_id, UInt32 *n_input, UInt32 *n_output)
void GR_AUDIO_API | gr::audio::osx::find_audio_devices (const std::string &device_name, bool is_input, std::vector< AudioDeviceID > *all_ad_ids, std::vector< std::string > *all_names)

## Function Documentation

## operator<<()

std::ostream &GR_AUDIO_API operator<< | ( | std::ostream & | s,
|  | const AudioStreamBasicDescription & | asbd )

References GR_AUDIO_API.